Package org.eclipse.cdt.core.dom.ast

# Interface IASTAttributeList

All Superinterfaces:
  `IASTAttributeSpecifier`, `IASTNode`

All Known Subinterfaces:
  `ICPPASTAttributeList`, `IGCCASTAttributeList`, `IMSASTDeclspecList`

public interface IASTAttributeList extends IASTAttributeSpecifier
An attribute-specifier of the form [[ attribute-list ]] or __attribute__(( attribute-list )).

Since:
  6.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeSpecifier

`ATTRIBUTE, EMPTY_ATTRIBUTE_SPECIFIER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAttribute(IASTAttribute attribute)`
Adds an attribute to the list.
`IASTAttribute[]`
`getAttributes()`
Returns the attributes in the list.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeSpecifier

`copy, copy`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Method Details

### getAttributes

IASTAttribute[] getAttributes()
Returns the attributes in the list.

Specified by:
  `getAttributes` in interface `IASTAttributeSpecifier`

### addAttribute

void addAttribute(IASTAttribute attribute)
Adds an attribute to the list.

Specified by:
  `addAttribute` in interface `IASTAttributeSpecifier`